---
name: Bug Report
about: Template to report bugs
title: 'bug: '
labels: ''
assignees: ''

---

# Bug Report

## Capacitor Version
<!-- Provide the version of Capacitor and related installed dependencies. You can use the command `npx capacitor doctor` or `npx cap doctor` for the output from the root directory of your project. -->

`npx cap doctor` output:


## Affected Platform(s)
<!-- Leave these checkboxes EMPTY until after the issue is created. Once the issue is created, check one or more boxes for the platform(s) this bug affects. -->

- [ ] Android
- [ ] iOS
- [ ] Electron
- [ ] Web

## Current Behavior
<!-- Describe how the bug manifests. Be specific. -->


## Expected Behavior
<!-- Describe what the behavior would be without the bug. -->

## Sample Code or Sample Application Repo

<!-- 

NOTE: Issues with sample projects are prioritized higher than ones without because they are easier to reproduce and fix.

If you are able to illustrate the bug or feature request with an example, please provide sample code snippets or a sample application via a public GitHub or Bitbucket repo. 

-->

## Reproduction Steps

<!--  Please explain the steps required to duplicate the issue, especially if you are able to provide a sample application. -->

## Other Technical Details

<!-- Please provide the following information with your request, and any other relevant technical details (versions of IDEs, local environment info, plugin information or links, etc). -->

`npm --version` output:

`node --version` output:

`pod --version` output (iOS issues only):

## Other Information
<!-- List any other information that is relevant to your issue. Stack traces, related issues, suggestions on how to fix, Stack Overflow links, forum links, etc. -->