---
title: Capacitor Community Plugins
description: Capacitor Community Plugins
url: /docs/community/plugins
contributors:
  - AntoninBeaufort
---

# Capacitor Community Plugins

The community has built a number of Capacitor plugins to add functionality to your app.

To install plugins, find the NPM package name, and then follow the [plugin usage guide](/docs/basics/using-plugins) for information
on how to install and configure plugins for each platform.

Building your own Capacitor plugins is easy! Check out the [Plugin Introduction](/docs/plugins/) to learn how to extend Capacitor
and, optionally, share functionality with other Capacitor developers.

The Ionic team also offers native plugin support for Enterprises. [Learn more](https://ionicframework.com/enterprise-engine)

Are we missing your awesome plugin? [Add it to this page](https://github.com/ionic-team/capacitor/edit/master/site/docs-md/community/plugins.md).

## Authentication

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Single SignOn | `@teamhive/capacitor-single-signon` | <https://github.com/TeamHive/capacitor-single-sign-on> | |
| Facebook Login | `@rdlabo/capacitor-facebook-login` | <https://github.com/rdlabo/capacitor-facebook-login> | |
| oAuth2 | `@byteowls/capacitor-oauth2` | <https://github.com/moberwasserlechner/capacitor-oauth2> | |
| Fingerprint Auth | `capacitor-fingerprint-auth` | <https://github.com/triniwiz/capacitor-fingerprint-auth> | |
| Firebase Auth | `capacitor-firebase-auth` | <https://github.com/baumblatt/capacitor-firebase-auth> | |
| Twitter Kit | `capacitor-twitter` | <https://github.com/stewwan/capacitor-twitter> | |
| Google Sign-in | `@codetrix-studio/capacitor-google-auth` | <https://github.com/CodetrixStudio/CapacitorGoogleAuth> | Works with Firebase. Lightweight |
| Face ID | `capacitor-face-id` | <https://github.com/danielsogl/capacitor-face-id> | |
| Biometric AUth | `capacitor-biometric-auth` | <https://github.com/arielhernandezmusa/capacitor-biometric-auth> | Allow to use Face ID and Touch ID in the same plugin |

## Deep Links

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Branch Deep Links |`capacitor-branch-deep-links` | <https://github.com/boundstate/capacitor-branch-deep-links> | |

## Display

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Keep Screen On |`capacitor-keep-screen-on` | <https://github.com/go-u/capacitor-keep-screen-on> | |

## Storage

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Secure Storage Plugin | `capacitor-secure-storage-plugin` | <https://github.com/martinkasa/capacitor-secure-storage-plugin> | |
| Data Storage SQLite Plugin | `capacitor-data-storage-sqlite` | <https://github.com/jepiqueau/capacitor-data-storage-sqlite> | |
| SQLite Database Plugin | `capacitor-sqlite` | <https://github.com/jepiqueau/capacitor-sqlite> | |

## Video

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| YouTube | `capacitor-youtube-player` | <https://github.com/abritopach/capacitor-youtube-player> | |
| Twilio iOS | `twilio-ios-capacitor` | <https://github.com/MCanhisares/twilio-ios-capacitor> | Video calls with Twilio |
| Video Recorder | `@teamhive/capacitor-video-recorder` | <https://github.com/TeamHive/capacitor-video-recorder> | |
| Media Operations | `capacitor-media` | <https://github.com/stewwan/capacitor-media> | |
| Camera preview | `capacitor-camera-preview` | <https://github.com/arielhernandezmusa/capacitor-camera-preview> | |
| VideoPlayer | `capacitor-video-player` | <https://github.com/jepiqueau/capacitor-video-player> | |

## Analytics

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Firebase Analytics | `capacitor-firebase-analytics` | <https://github.com/philmerrell/capacitor-firebase-analytics> | |

## Messaging/SMS/Email

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| SMS | `@byteowls/capacitor-sms` | <https://github.com/moberwasserlechner/capacitor-sms> | |
| Email | `@teamhive/capacitor-email` | <https://github.com/TeamHive/capacitor-email> | |
| SMS | `capacitor-sms` | <https://github.com/abritopach/capacitor-sms> | |
| Intercom | `capacitor-intercom` | <https://github.com/stewwan/capacitor-intercom> | |


## Payments/NFC

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| NFC | `capacitor-nfc` | <https://github.com/adrynov/Capacitor-NFC-Plugin> | Android only |
| Heartland Form | `capacitor-heartland-form` | <https://github.com/philmerrell/capacitor-heartland-form> | |
| Stripe Terminal | `capacitor-stripe-terminal` | <https://github.com/eventOneHQ/capacitor-stripe-terminal> | iOS only |


## Location

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Fused Location | `@jonoj/capacitor-fused-location` | <https://github.com/jonoj-team/capacitor-fused-location> | |
| Geofence Tracker | `capacitor-geofence-tracker` | <https://github.com/mvollebregt/capacitor-geofence-tracker> | |
| Fancy Geo | `capacitor-fancy-geo` | <https://github.com/triniwiz/capacitor-fancy-geo> | |
| [Radar](https://radar.io) | `capacitor-radar` | <https://github.com/radarlabs/capacitor-radar> | |

## Health

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Google Fit | `capacitor-google-fit` | <https://github.com/Ad-Scientiam/capacitor-google-fit> | Android only (currently) |
| HealthKit | `capacitor-healthkit` | <https://github.com/Ad-Scientiam/capacitor-healthkit> | iOS only |

## Audio

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Voice Recorder | `capacitor-voice-recorder` | <https://bitbucket.org/tchvu3/capacitor-voice-recorder> | |

## Ads

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| AdMob | `capacitor-admob` | <https://github.com/rahadur/capacitor-admob> | iOS, Android |
| AdMob | `@rdlabo/capacitor-admob` | <https://github.com/rdlabo/capacitor-admob> | |
| AdMob | `capacitor-admob-advanced` | <https://github.com/DTX-Elliot/capacitor-admob-advanced> | iOS, Android |

## Notifications

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Fancy Notifications | `fancy-notifications` | <https://github.com/triniwiz/fancy-notifications> | |
| FCM | `capacitor-fcm` | <https://github.com/stewwan/capacitor-fcm> | |

## Files/Networking

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Filesharer | `@byteowls/capacitor-filesharer` | <https://github.com/moberwasserlechner/capacitor-filesharer> | |
| Downloader | `capacitor-downloader` | <https://github.com/triniwiz/capacitor-downloader> | |
| Zip | `capacitor-zip` | <https://github.com/triniwiz/capacitor-zip> | |
| UDP | `@unitree-czk/capacitor-udp` | <https://github.com/unitree-czk/capacitor-udp> | |

## Bluetooth

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Bluetooth Low Energy Client | `cap-bluetooth-low-energy-client` | <https://github.com/robmarti/cap-bluetooth-low-energy-client> | Web, Android|

## Sensors

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| SensingKit | `cap-sensing-kit` | <https://github.com/robmarti/cap-sensing-kit> | Web, Android|


## Date/Calendar

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| DatePicker | `capacitor-datepicker` | <https://github.com/triniwiz/capacitor-datepicker> | |

## Images


| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Image Cache | `capacitor-image-cache` | <https://github.com/triniwiz/capacitor-image-cache> | |
| Image Crop | `capacitor-image-crop` | <https://github.com/triniwiz/capacitor-image-crop> | | 
| Media Operations | `capacitor-media` | <https://github.com/stewwan/capacitor-media> | |
| Code Scanner | `@rdlabo/capacitor-codescanner` | <https://github.com/rdlabo/capacitor-codescanner> | iOS only (currently) |


## Printers

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Zebra | `zebra-capacitor` | <https://github.com/cleversolutions/zebraCapacitor> | |


## Misc

| Name                    | NPM package | GitHub | Notes |
| ----------------------- | ----------- | ------ | ------ |
| Install Referrer | `capacitor-install-referrer` | <https://github.com/eladcandroid/capacitor-install-referrer> | |
| Request app review | `capacitor-rate-app` | <https://github.com/Nodonisko/capacitor-rate-app> | Request app review from users |
| Change Android Navigationbar Color | `capacitor-navigationbar` | <https://github.com/nikosdouvlis/capacitor-navigationbar> | Programmatically change the navigation bar color on android devices |
| Dark Mode | `capacitor-dark-mode` | <https://github.com/hinddeep/ionicCapacitorDarkMode> | | Listen for dark mode change events
