---
title: Capacitor - A Cross-platform App Runtime
description: A cross-platform app runtime for building Native Progressive Web Apps for iOS, Android, and beyond
url: /docs/
contributors:
  - mlynch
  - bensperry
  - jcesarmobile
  - dotnetkow
---

# Capacitor: A Cross-platform App Runtime

<p class="intro">Capacitor is a cross-platform app runtime that makes it easy to build web apps that run natively on iOS, Android, <em>and</em> the web. We call these apps "Native Progressive Web Apps" and they represent the next evolution beyond Hybrid apps.</p>

<img src="/assets/img/docs/capacitor-index.png" style="max-height: 360px" />

## Introduction

Capacitor provides a consistent, web-focused set of APIs that enable an app to stay as close to web-standards as possible, while accessing rich native device features on platforms that support them. Adding native functionality is easy with a simple Plugin API for Swift on iOS, Java on Android, and JavaScript for the web.

Capacitor is a spiritual successor to [Apache Cordova](https://cordova.apache.org/) and [Adobe PhoneGap](https://phonegap.com/), with inspiration from other popular cross-platform tools like [React Native](http://facebook.github.io/react-native/) and [Turbolinks](https://github.com/turbolinks/turbolinks), but focused entirely on enabling modern web apps to run on all major platforms with ease. Capacitor has backwards-compatible support for many existing [Cordova plugins](https://cordova.apache.org/plugins/).

## Get Started

Getting started with Capacitor is easy! Capacitor can be used as a drop in to any existing modern JavaScript project, or used to create a fresh Capacitor project from scratch.

Follow the <stencil-route-link url="/docs/getting-started">Installation</stencil-route-link> guide to get started building your app.
